import {
  Dialog,
  DialogContent,
  DialogDescription,
  DialogHeader,
  DialogTitle,
  DialogTrigger,
} from '@/components/ui/dialog';
import BookMeeting from '../BookMeeting';

export default function DialogDemo({
  children,
  pack_id,
  course_id,
}: {
  children: React.ReactNode;
  pack_id: string;
  course_id: string;
}) {
  return (
    <Dialog>
      <DialogTrigger asChild>{children}</DialogTrigger>
      <DialogContent className="max-w-[425px]">
        <DialogHeader>
          <DialogTitle>Book Meeting</DialogTitle>
          <DialogDescription>
            Fill in the form below to book a meeting with the team.
          </DialogDescription>
        </DialogHeader>
        <BookMeeting pack_id={pack_id} course_id={course_id} />
      </DialogContent>
    </Dialog>
  );
}
